Bug 142348 - slapd does not have permission to write in /var/run/
slapd does not have permission to write in /var/run/
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 01:07 EST by Matthew Costello
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:08:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Costello 2004-12-09 01:07:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The OpenLDAP daemon slapd runs as user "ldap" as so does not have
permission to write into the /var/run directory.

The solution is to create a /var/run/ldap/ directory owned by "ldap"
and modify the /etc/openldap/slapd.conf file to place the slapd.pid
and slapd.args files in that directory.  This will require
modifications to:
    SPEC file
    /etc/openldap/slapd.conf
    /etc/rc.d/init.d/ldap

Version-Release number of selected component (if applicable):
openldap-servers-2.2.13-2

How reproducible:
Always

Steps to Reproduce:
1. Configure and run the "ldap" service
2. Notice that the /var/run/slapd.pid file is not created
    

Results after fix:
# ls -alp /var/run/ldap
total 20
drwxr-xr-x   2 ldap ldap 4096 Dec  8 08:06 ./
drwxr-xr-x  18 root root 4096 Dec  8 08:06 ../
-rw-r--r--   1 ldap ldap   51 Dec  8 08:06 slapd.args
-rw-r--r--   1 ldap ldap    5 Dec  8 08:06 slapd.pid


Additional info:
Comment 1 Matthew Miller 2006-07-10 16:58:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-05 11:08:39 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.